Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractRequestContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractRequestContext

All Implemented Interfaces:
  RequestContext

    public class AbstractRequestContext

extends java.lang.Object
implements RequestContext

Version:
  $Revision: 6929 $
Author:
  Julien Viet

Constructor Summary
`AbstractRequestContext(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

Method Summary
`java.lang.Object` | `dispatch(ServletContainer servletContainer, javax.servlet.ServletContext targetServletContext, RequestDispatchCallback callback, java.lang.Object handback)` Delegate to the request context the dispatching to the target servlet context using the specified spi elements.
`java.lang.String` | `getScheme()` Return the scheme value.
`java.lang.String` | `getServerName()` Return the server name value.
`int` | `getServerPort()` Return the server port value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRequestContext

    public AbstractRequestContext(javax.servlet.http.HttpServletRequest req,
                                  javax.servlet.http.HttpServletResponse resp)

Method Detail

### getScheme

    public java.lang.String getScheme()

  Description copied from interface: `RequestContext`
  Return the scheme value.

  Specified by:
    `getScheme` in interface `RequestContext`

### getServerName

    public java.lang.String getServerName()

  Description copied from interface: `RequestContext`
  Return the server name value.

  Specified by:
    `getServerName` in interface `RequestContext`

### getServerPort

    public int getServerPort()

  Description copied from interface: `RequestContext`
  Return the server port value.

  Specified by:
    `getServerPort` in interface `RequestContext`

### dispatch

    public java.lang.Object dispatch(ServletContainer servletContainer,
                                     javax.servlet.ServletContext targetServletContext,
                                     RequestDispatchCallback callback,
                                     java.lang.Object handback)
                              throws java.lang.Exception

  Description copied from interface: `RequestContext`
  Delegate to the request context the dispatching to the target servlet context using the specified spi elements.

  Specified by:
    `dispatch` in interface `RequestContext`
  Parameters:
    `servletContainer` - the servlet container spi
    `targetServletContext` - the target servlet context
    `callback` - the call back to be done after dispatch
    `handback` - the hand back object to provide after dispatch to the call back
  Returns:
    the call back returned object
  Throws:
    `java.lang.Exception` - any exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD